The system is: Windows - 10.0.19045 - AMD64
Compiling the CXX compiler identification source file "CMakeCXXCompilerId.cpp" succeeded.
Compiler: C:/Program Files (x86)/Microsoft Visual Studio/2019/Community/VC/Tools/MSVC/14.29.30133/bin/Hostx64/x64/cl.exe 
Build flags: 
Id flags:  

The output was:
0
用于 x64 的 Microsoft (R) C/C++ 优化编译器 19.29.30146 版
版权所有(C) Microsoft Corporation。保留所有权利。

CMakeCXXCompilerId.cpp
Microsoft (R) Incremental Linker Version 14.29.30146.0
Copyright (C) Microsoft Corporation.  All rights reserved.

/out:CMakeCXXCompilerId.exe 
CMakeCXXCompilerId.obj 


Compilation of the CXX compiler identification source "CMakeCXXCompilerId.cpp" produced "CMakeCXXCompilerId.exe"

Compilation of the CXX compiler identification source "CMakeCXXCompilerId.cpp" produced "CMakeCXXCompilerId.obj"

The CXX compiler identification is MSVC, found in "C:/Users/Jerry/Documents/QtProjects/deeplink_build_1034_sdk/CMakeFiles/3.24.2/CompilerIdCXX/CMakeCXXCompilerId.exe"

Detecting CXX compiler ABI info compiled with the following output:
Change Dir: C:/Users/Jerry/Documents/QtProjects/deeplink_build_1034_sdk/CMakeFiles/CMakeTmp

Run Build Command(s):D:/Code/chromium/depot_tools/ninja.exe cmTC_6b4dd && [1/2] Building CXX object CMakeFiles\cmTC_6b4dd.dir\CMakeCXXCompilerABI.cpp.obj

[2/2] Linking CXX executable cmTC_6b4dd.exe




Compiling the C compiler identification source file "CMakeCCompilerId.c" succeeded.
Compiler: C:/Program Files (x86)/Microsoft Visual Studio/2019/Community/VC/Tools/MSVC/14.29.30133/bin/Hostx64/x64/cl.exe 
Build flags: 
Id flags:  

The output was:
0
用于 x64 的 Microsoft (R) C/C++ 优化编译器 19.29.30146 版
版权所有(C) Microsoft Corporation。保留所有权利。

CMakeCCompilerId.c
Microsoft (R) Incremental Linker Version 14.29.30146.0
Copyright (C) Microsoft Corporation.  All rights reserved.

/out:CMakeCCompilerId.exe 
CMakeCCompilerId.obj 


Compilation of the C compiler identification source "CMakeCCompilerId.c" produced "CMakeCCompilerId.exe"

Compilation of the C compiler identification source "CMakeCCompilerId.c" produced "CMakeCCompilerId.obj"

The C compiler identification is MSVC, found in "C:/Users/Jerry/Documents/QtProjects/deeplink_build_1034_sdk/CMakeFiles/3.24.2/CompilerIdC/CMakeCCompilerId.exe"

Detecting C compiler ABI info compiled with the following output:
Change Dir: C:/Users/Jerry/Documents/QtProjects/deeplink_build_1034_sdk/CMakeFiles/CMakeTmp

Run Build Command(s):D:/Code/chromium/depot_tools/ninja.exe cmTC_b8e7f && [1/2] Building C object CMakeFiles\cmTC_b8e7f.dir\CMakeCCompilerABI.c.obj

[2/2] Linking C executable cmTC_b8e7f.exe




Determining if the include file audioclient.h exists passed with the following output:
Change Dir: C:/Users/Jerry/Documents/QtProjects/deeplink_build_1034_sdk/CMakeFiles/CMakeTmp

Run Build Command(s):D:/Code/chromium/depot_tools/ninja.exe cmTC_c6bfa && [1/2] Building C object CMakeFiles\cmTC_c6bfa.dir\CheckIncludeFile.c.obj

[2/2] Linking C executable cmTC_c6bfa.exe




Determining if the alloca exist passed with the following output:
Change Dir: C:/Users/Jerry/Documents/QtProjects/deeplink_build_1034_sdk/CMakeFiles/CMakeTmp

Run Build Command(s):D:/Code/chromium/depot_tools/ninja.exe cmTC_235ef && [1/2] Building C object CMakeFiles\cmTC_235ef.dir\CheckSymbolExists.c.obj

[2/2] Linking C executable cmTC_235ef.exe



File C:/Users/Jerry/Documents/QtProjects/deeplink_build_1034_sdk/CMakeFiles/CMakeTmp/CheckSymbolExists.c:
/* */
#include <stdlib.h>
#include <malloc.h>

int main(int argc, char** argv)
{
  (void)argv;
#ifndef alloca
  return ((int*)(&alloca))[argc];
#else
  (void)argc;
  return 0;
#endif
}
Determining if the lrintf exist passed with the following output:
Change Dir: C:/Users/Jerry/Documents/QtProjects/deeplink_build_1034_sdk/CMakeFiles/CMakeTmp

Run Build Command(s):D:/Code/chromium/depot_tools/ninja.exe cmTC_51ef0 && [1/2] Building C object CMakeFiles\cmTC_51ef0.dir\CheckSymbolExists.c.obj

[2/2] Linking C executable cmTC_51ef0.exe



File C:/Users/Jerry/Documents/QtProjects/deeplink_build_1034_sdk/CMakeFiles/CMakeTmp/CheckSymbolExists.c:
/* */
#include <math.h>

int main(int argc, char** argv)
{
  (void)argv;
#ifndef lrintf
  return ((int*)(&lrintf))[argc];
#else
  (void)argc;
  return 0;
#endif
}
Determining if the lrint exist passed with the following output:
Change Dir: C:/Users/Jerry/Documents/QtProjects/deeplink_build_1034_sdk/CMakeFiles/CMakeTmp

Run Build Command(s):D:/Code/chromium/depot_tools/ninja.exe cmTC_84d07 && [1/2] Building C object CMakeFiles\cmTC_84d07.dir\CheckSymbolExists.c.obj

[2/2] Linking C executable cmTC_84d07.exe



File C:/Users/Jerry/Documents/QtProjects/deeplink_build_1034_sdk/CMakeFiles/CMakeTmp/CheckSymbolExists.c:
/* */
#include <math.h>

int main(int argc, char** argv)
{
  (void)argv;
#ifndef lrint
  return ((int*)(&lrint))[argc];
#else
  (void)argc;
  return 0;
#endif
}
Determining if the include file intrin.h exists passed with the following output:
Change Dir: C:/Users/Jerry/Documents/QtProjects/deeplink_build_1034_sdk/CMakeFiles/CMakeTmp

Run Build Command(s):D:/Code/chromium/depot_tools/ninja.exe cmTC_75276 && [1/2] Building C object CMakeFiles\cmTC_75276.dir\CheckIncludeFile.c.obj

[2/2] Linking C executable cmTC_75276.exe




Determining if the include file xmmintrin.h exists passed with the following output:
Change Dir: C:/Users/Jerry/Documents/QtProjects/deeplink_build_1034_sdk/CMakeFiles/CMakeTmp

Run Build Command(s):D:/Code/chromium/depot_tools/ninja.exe cmTC_1a7da && [1/2] Building C object CMakeFiles\cmTC_1a7da.dir\CheckIncludeFile.c.obj

[2/2] Linking C executable cmTC_1a7da.exe




Determining if the include file emmintrin.h exists passed with the following output:
Change Dir: C:/Users/Jerry/Documents/QtProjects/deeplink_build_1034_sdk/CMakeFiles/CMakeTmp

Run Build Command(s):D:/Code/chromium/depot_tools/ninja.exe cmTC_92448 && [1/2] Building C object CMakeFiles\cmTC_92448.dir\CheckIncludeFile.c.obj

[2/2] Linking C executable cmTC_92448.exe




Determining if the include file smmintrin.h exists passed with the following output:
Change Dir: C:/Users/Jerry/Documents/QtProjects/deeplink_build_1034_sdk/CMakeFiles/CMakeTmp

Run Build Command(s):D:/Code/chromium/depot_tools/ninja.exe cmTC_01b60 && [1/2] Building C object CMakeFiles\cmTC_01b60.dir\CheckIncludeFile.c.obj

[2/2] Linking C executable cmTC_01b60.exe




Determining if the include file immintrin.h exists passed with the following output:
Change Dir: C:/Users/Jerry/Documents/QtProjects/deeplink_build_1034_sdk/CMakeFiles/CMakeTmp

Run Build Command(s):D:/Code/chromium/depot_tools/ninja.exe cmTC_de23f && [1/2] Building C object CMakeFiles\cmTC_de23f.dir\CheckIncludeFile.c.obj

[2/2] Linking C executable cmTC_de23f.exe




Performing C SOURCE FILE Test AVX_SUPPORTED succeeded with the following output:
Change Dir: C:/Users/Jerry/Documents/QtProjects/deeplink_build_1034_sdk/CMakeFiles/CMakeTmp

Run Build Command(s):D:/Code/chromium/depot_tools/ninja.exe cmTC_d28b5 && [1/2] Building C object CMakeFiles\cmTC_d28b5.dir\src.c.obj

[2/2] Linking C executable cmTC_d28b5.exe



Source file was:
int main(void) { return 0; }
Performing C SOURCE FILE Test FAST_MATH_SUPPORTED succeeded with the following output:
Change Dir: C:/Users/Jerry/Documents/QtProjects/deeplink_build_1034_sdk/CMakeFiles/CMakeTmp

Run Build Command(s):D:/Code/chromium/depot_tools/ninja.exe cmTC_8e926 && [1/2] Building C object CMakeFiles\cmTC_8e926.dir\src.c.obj

[2/2] Linking C executable cmTC_8e926.exe



Source file was:
int main(void) { return 0; }
Performing C SOURCE FILE Test STACK_PROTECTOR_SUPPORTED succeeded with the following output:
Change Dir: C:/Users/Jerry/Documents/QtProjects/deeplink_build_1034_sdk/CMakeFiles/CMakeTmp

Run Build Command(s):D:/Code/chromium/depot_tools/ninja.exe cmTC_83d51 && [1/2] Building C object CMakeFiles\cmTC_83d51.dir\src.c.obj

[2/2] Linking C executable cmTC_83d51.exe



Source file was:
int main(void) { return 0; }
Performing C SOURCE FILE Test STACK_PROTECTOR_DISABLED_SUPPORTED succeeded with the following output:
Change Dir: C:/Users/Jerry/Documents/QtProjects/deeplink_build_1034_sdk/CMakeFiles/CMakeTmp

Run Build Command(s):D:/Code/chromium/depot_tools/ninja.exe cmTC_f0a0e && [1/2] Building C object CMakeFiles\cmTC_f0a0e.dir\src.c.obj

[2/2] Linking C executable cmTC_f0a0e.exe



Source file was:
int main(void) { return 0; }
Performing C++ SOURCE FILE Test HAVE_STDATOMIC succeeded with the following output:
Change Dir: C:/Users/Jerry/Documents/QtProjects/deeplink_build_1034_sdk/CMakeFiles/CMakeTmp

Run Build Command(s):D:/Code/chromium/depot_tools/ninja.exe cmTC_cb2e1 && [1/2] Building CXX object CMakeFiles\cmTC_cb2e1.dir\src.cxx.obj

[2/2] Linking CXX executable cmTC_cb2e1.exe



Source file was:
#include <atomic>
#include <cstdint>

int main(int, char **)
{
    volatile std::atomic<char>    size_1;
    volatile std::atomic<short>   size_2;
    volatile std::atomic<int>     size_4;
    volatile std::atomic<int64_t> size_8;

    ++size_1;
    ++size_2;
    ++size_4;
    ++size_8;

    (void)size_1.load(std::memory_order_relaxed);
    (void)size_2.load(std::memory_order_relaxed);
    (void)size_4.load(std::memory_order_relaxed);
    (void)size_8.load(std::memory_order_relaxed);

    return 0;
}
